libzypp 17.37.10

zypp::KeyRingSignals Struct Reference

`#include <zypp/KeyRing.h>`

Inheritance diagram for zypp::KeyRingSignals:

## Public Member Functions
virtual void | trustedKeyAdded (const PublicKey &)
virtual void | trustedKeyRemoved (const PublicKey &)
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Additional Inherited Members
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Detailed Description

Definition at line 154 of file KeyRing.h.

## Member Function Documentation

## ◆ trustedKeyAdded()

virtual void zypp::KeyRingSignals::trustedKeyAdded | ( | const PublicKey & |  | ) |
| inline virtual

Reimplemented in zypp::target::rpm::KeyRingSignalReceiver.

Definition at line 156 of file KeyRing.h.

## ◆ trustedKeyRemoved()

virtual void zypp::KeyRingSignals::trustedKeyRemoved | ( | const PublicKey & |  | ) |
| inline virtual

Reimplemented in zypp::target::rpm::KeyRingSignalReceiver.

Definition at line 158 of file KeyRing.h.

The documentation for this struct was generated from the following file:

- zypp/KeyRing.h